pico-8 cartridge // http://www.pico-8.com
version 8
__lua__
x=64 y=64 t=1 m=0x6000 cx=0

grn = {0,1,2,8,14,15,14,2}

bar = {1,5,13,12,6,10,7,10,6,12,13,5,1}

function _init()
 print("\x80",60,60,1)
 print("hi",60,60,9)
 print("?#",60,60,11)
 music()
 cls()
end

function _update()
 t=t+0.5
end

function _draw()
 if (t < 110) then  --135
  phasea()
 elseif (t<340) then  -- 400
  phaseb(true,true)
 elseif (t == 340) then
  utc()
 elseif (t < 440) then
  phasec()
 elseif (t < 580) then
  phaseb(true,true)

 elseif (t<810) then
  restoreb(false)
  tx = t-650
  piegraph(tx,55,150-tx)
  piegraph(tx/4,77,100-tx)
  piegraph(tx*1.2,30,50-tx)
 elseif (t == 811) then
  bgbg()
  -- here
 elseif (t<910) then
  phasea()
  bgbg2()
  piegraph(tx%128,66,100-tx)
 elseif(t == 911) then
  bgbg()
  storeb()
 else
  phasea()
  phaseb(false,false)
  spr(11,50,50,4,4)
  if (t > 1050) then
   print("jml profit up 38581%",24,0,0)
   print("meeting adjourned",24,120,0)
  end
 end

-- rectfill(0,0,24,8,0)
-- print(t,0,0,14)
end

function bgbg()
 cls()
 spr(1,0,0,10,4)
 spr(1,80,0,10,4)
 memcpy(0x6700,0x6000,0x700)
 memcpy(0x6e00,0x6000,0xe00)
 bgbg2()
end

function bgbg2()
 for i=1,60,1 do
  memcpy(0x6000+(i*128),0x6000+i*128+i,128)
 end
end

function utc()
 cls()
 for i=0,128,16 do
  spr(64,30,i,10,1)
 end
 storeb()
end

function piegraph(a,b,y1)
 a = a * 2
 b = b * 2
 c = 200-(a+b)
 c1 = {8,9,11}
 c2 = {13,14,3}
 t1 = sin(0.47)
 x1 = sin(y1/100)*20+64
 for i=1,200,1 do
  i1 = i/200
  if i < a then
   ix = 1
  elseif i < b then
   ix = 2
   else ix = 3
  end
  p1 = x1+45*sin(i1)
  p2 = y1+45*cos(i1)*t1
  line(x1,y1,p1,p2,c1[ix])
  if(cos(i1) < 0) then
   line(p1,p2,p1,p2+5,c2[ix])
  end
 end
end

function phasec()
 rectfill(7,112,123,120,1)
 print("profit over time",30,113,11)
 rectfill(7,45,12,112,1)
 vprint("input",8,50,11)
 t1 = t-450
 x = t1%128
 line(x,110,x,110-x*.65,14)
 y = sin(x/64)*20
 line(x,80+y,x,80+y+4,9)
 line(x,80-y+4,x,80-y,10)
end

function vprint(s,x,y,color)
 p = 0
 for i=1,8*#s+1,8 do
  print(sub(s,p,p),x,y+i,color)
  p = p+1
 end
end

function storeb()
 memcpy(0x1000,0x6000,8192)
end

function restoreb()
 memcpy(0x6000,0x1000,8192)
end

function plopq(r,s,t,u)
 for ii=1,6,1 do
  xo = flr(rnd(30))-r
  yo = flr(rnd(30))-s
  spr(t,x+xo,y-yo,u,4)
 end
end

function blitsplit(ox,oy)
-- calculate center line
-- top = m to center line
-- bottom = center line to 8192
 cline = 4096 + 64*oy
 crow = 64+ox
 rr = 32 - ox

 blitup()
 blitdown()
 blitleft(rr)
 blitright(rr)

 cline = 4096+32*oy
 blitup()
 cline = 4096+16*oy
 blitup()

 cline = 4096+64+32*oy
 blitdown()
 cline = 4096+64+32+16*oy
 blitdown()
end

function phaseb(clr)
 if (clr) then cls() end
 x = t % 64
 for i=0,128,16 do
  spr(1,i,0,2,4)
 end
 memcpy(0x6800,0x6000,0x800)

 memcpy(0x6000+x,0x6000,0x800)
 memcpy(0x6800,0x6800+x,0x800)

 memcpy(0x7000,0x6000,0xf00)

 if (clr) then
  if (t%5 < 2) then
   print("money and more",36,27,11)
  else
   print("honey and whore",36,27,11)
  end
  if (t > 270) then
   print("for additional consumer demand",4,59,12)
  end
  if (t > 350) then
   print("jumalauta 2017 profitability",10,92,9)
  end
 end
end

function phasea()
 restoreb()
 t1 = t%128
 local xx = flr(cos(t1/50)*5)
 local yy = flr(sin(t1/100)*30)
 gc = grn[t%8 + 1]
 chz = t1%18

 if (chz == 11) then
  plopq(20,15,1,2)
 elseif (chz == 14) then
  plopq(20,15,8,3)
 elseif (chz == 6) then
  plopq(15,15,3,3)
 elseif (chz < 6) then
  plopq(30,40,6,2)
 end

 blitsplit(xx,yy)
 storeb()

 spr(11,50,10,4,4)
end

function blitup()
 memcpy(m,m+64,cline)
end

function blitdown()
 memcpy(m+cline,m+cline-64,8192-cline)
end

function blitleft(rr)
 for i=0,126,1 do
  memcpy(m+64*i,m+64*i+1,rr)
 end
end

function blitright(rr)
 for i=126,0,-1 do
  memcpy(m+64*i+rr,m+64*i+rr-1,64-rr)
 end
end

function barbar()
 zo = sin(t/100)*50+x
 zo1 = cos(t/100)*50+x
 zo2 = (zo+zo1)/2
 zo3 = zo+zo2
 zo4 = zo1-zo2
 for i=1,#bar do
   line(0,zo+i,128,zo+i,bar[i])
   line(0,zo1+i,128,zo1+i,bar[i])
   line(0,zo2+i,128,zo2+i,bar[i])
   line(0,zo3+i,128,zo3+i,bar[i])
   line(0,zo4+i,128,zo4+i,bar[i])
 end
-- circfill(x,y,7,8)
end


__gfx__
00000000000000000000000000000000000000000000000000000088880000000000000000000000000000000000000000000000000000000000000000000000
00000000000000333300000000000000000000000000000000000800008000000009999990000099999900000777777770777707770777707770000000000000
00000000000000333300000000005556000000055560000000008800008888000009000090000090000900000777777770777777777777707770000000000000
000000000000b3333333330000005555000000055550000000880000000000800009000090000090000900000777777770777777777777707770000000000000
00000000001333333333330000005555000000055550000008000000000000800009000090000090000900000000077700777077777077707770000000000000
00000000003333333333330000005555000000055550000008000000000000800009000090000090000900000000077700777007770077707770000000000000
000000000b3333333333330000005555000000055550000080000000000000800009000090000090000900000000077700777007770077707770000000000000
00000000033300333331000000005555100000d55550000080008800000088000009000009000900000900000000077700777007770077707770000000000000
00000000033100333300000000005555500000555550000080088800008800000009000009000900000900000000077700777007770077707770000000000000
0000000003330033330000000000555551000d555550000080008800008000000009000000909000000900000000077700777007770077707770000000000000
00000000033310333300000000005555550005555550000080008800008000000009000000909000000900000000077700777007770077707770000000000000
00000000003333333331000000001555555055555550000008000000000880000009000000090000000900000000077700777007770077707770000000000000
00000000003333333333310000000555555555555510000008000000000008000000900000000000000900000000077700777007770077707770000000000000
00000000000033333333330000000555555555555500000000880000000000800000900000000000009000000000077700777007770077707770000000000000
0000000000000033333333b000000055555555555000000000008800000000080000090000000000090000000000077700777007770077707770000000000000
00000000000000333013333000000005555555550000000000000800088000080000009000000000900000000000077700777007770077707770000000000000
00000000000000333000333000000000155555100000000000000800088800080000000900000099000000000000077700777007770077707770000000000000
00000000000000333000333000000000055555000000000000000800088800080000000090000090000000000000077700777007770077707770000000000000
0000000000000033300b333000000000055555000000000088888800088000080000000090000090000000000777077700777007770077707770000000000000
00000000013333333333333000000000055555000000000080000000000000080000999990000099999000000777077700777007770077707770000000000000
00000000033333333333331000000555555555555600000080000000000000800000900000000000009000000777077700777007770077707770000000000000
00000000033333333333330000000555555555555500000080000000000000800000900000000000009000000777077700777007770077707770000000000000
00000000033333333333100000000555555555555500000080000000000088000000900000000000009000000777077700777007770077707770000000000000
00000000000000333300000000000000055555000000000088888800008800000000999990000099999000000777077700777007770077707770000000000000
00000000000000333300000000000000055555000000000000000800008000000000000090000090000000000777077700777007770077707770000000000000
00000000000000333300000000000000055555000000000000000800008000000000000090000090000000000777077700777007770077707770000000000000
00000000000000000000000000000000000000000000000000000888888000000000000099999990000000000777077700777007770077707770000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000777077700777007770077707770000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000777077700777007770077707770000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000777777700777007770077707777777700000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000077777000777007770077707777777700000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000007770000777007770077707777777700000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
06006000000000000000000006660000000000000660000000000000000000000000000000000000000000000000000000000000000000000000000000000000
060060d660606d0600660000006006060066000060060066006d000d660600006d0060066606d600000000000000000000000000000000000000000000000000
06006066006066d6060000000060060606dd6000600006006066d6066006006066d6606dd6066060000000000000000000000000000000000000000000000000
0600600d60606066060660000060066606d000006006060060606600d60600606060606d00060000000000000000000000000000000000000000000000000000
00660066006060060066d00000600606006600000660006600600606600066606000600660060000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000

__gff__
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__map__
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__sfx__
01070004223762a3262c41630416223762a3262c31630316223762a3262c31630316223762a3262c31630316223762a3262c31630316223762a3262c31630316223762a3262c31630316223762a3262c31630316
010700080c071000710f0010c001063000630500001000010c051000510000000000063000630500000000000c051000510c00000000063500635500000000000c07100071000000000006350063550000000000
0107000019350193550000000000193501935500000000001a3501a355000000e4001a3501a3550e400000001a3501a35500000000001a3501a355000000e4001a3501a35500000000001a3501a3550000000000
010700040635006355000000000012000120000000000000120001200000000000001200012000000000000012000120000000000000120001200000000000001200012000000000000000000000000000000000
0007003f0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
01070004183762c3262e41632416223762a3262c31630316223762a3262c31630316223762a3262c31630316223762a3262c31630316223762a3262c31630316223762a3262c31630316223762a3262c31630316
010700040835008355000000000012000120000000000000120001200000000000001200012000000000000012000120000000000000120001200000000000001200012000000000000000000000000000000000
010700001b3501b35500000000001b3501b35500000000001c3501c355000000e4001c3501c3550e400000001c3501c35500000000001c3501c355000000e4001c3501c35500000000001c3501c3550000000000
010700002a3502a3551e300000002a3502a35500000000001e3501e3552a3502a35506300063051e300000002a3502a35500000000002a3502a3551e3501e355063500635500000000002a3502a3550000000000
010700080c071000710f0010c001063500635500001000010c051000510000000000063000630500000000000c051000510c00000000063500635500000000000c07100071000000000006350063550000000000
010700102a3502a3502a3502a3552a3002a30500000000001e3001e3052a3002a30506300063051e300000002a3502a35500000000002a3502a3551e3501e355063500635500000000002a3502a3550000000000
010700102a3502a3502a3502a3552a3002a305000000000006350063552a3002a30506300063051e300000002a3502a35500000000002a3502a3551e3501e355063500635500000000002a3502a3550000000000
0107001006350063550f0010c001063500635500001000010c001000010000000000063500635500000000000c001000010c00000000063000630500000000000c00100001000000000006300063050000000000
010700041235012355000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
01070000193501935500000000001a3501a35500000000001a3501a355000000e4001a3501a3550e400000001a3501a35500000000001a3501a355000000e4001a3501a35500000000001a3501a3550000000000
010700001b3501b35500000000001c3501c35500000000001c3501c355000000e4001c3501c3550e400000001c3501c35500000000001c3501c355000000e4001c3501c35500000000001c3501c3550000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__music__
01 04014203
00 04014303
00 04014303
00 04014303
00 00010203
00 00010e03
00 00010203
00 00010e03
00 00010203
00 00010e03
00 00010203
00 00010e03
00 05010706
00 05010f06
00 05010706
00 05010f06
00 05010706
00 05010f06
00 05010706
00 05010f06
00 00090208
00 00090e08
00 00090208
00 00090e08
00 00090208
00 00090e08
00 00090208
00 00090e08
00 05010706
00 05010f06
00 05010706
00 05010f06
00 05010706
00 05010f06
00 05010706
00 05010f06
00 00420203
00 00420e03
00 00420203
00 00420e03
00 40010a03
00 40010a03
00 40010a03
00 40010a03
00 40014a06
00 40014a06
00 40014a06
00 40014a06
00 00010203
00 00010e03
00 00010203
00 00010e03
00 0009020b
00 00090e0b
00 0009020b
00 000c0e0b
00 00090208
00 00090e08
00 00090208
00 00090e08
00 41010d03
00 41010d03
00 41010d03
00 41410d03

